// index.ts
// 获取应用实例
const app = getApp<IAppOption>()
// pages/orders/orders.ts
Page({
  /**
   * 页面的初始数据
   */
  data: {
    goodsImgList: [
      'https://oss.dayaedu.com/ktyq/1739524049205.png',
      'https://oss.dayaedu.com/ktyq/1739523564827.png',
      'https://oss.dayaedu.com/ktyq/1739523574402.png',
      'https://oss.dayaedu.com/ktyq/1739523583463.png'
    ],
  },
  isLogin() {
    // 判断是否登录
    if (!app.globalData.isLogin) {
      wx.navigateTo({
        url: '../login/login',
      })
      return false
    }
    return true
  },
  /** 我的订单 */
  onOrder() {
    // 判断是否登录
    if (!this.isLogin()) {
      return
    }
    wx.navigateTo({
      url: '../orders/orders',
    })
  },
  /** 申请加入 */
  onBuyGoods() {
    // 判断是否登录
    if (!this.isLogin()) {
      return
    }
    wx.navigateTo({
      url: '../select-goods/index',
    })
  },
  onShareAppMessage() {
    return {
      title: '翼时代器乐数字Ai',
      path: '/pages/index/index',
      imageUrl: 'https://oss.dayaedu.com/ktyq/1739865626350.png'
    }
  },
  onShareTimeline() {
    return {
      title: '翼时代器乐数字Ai',
      path: '/pages/index/index',
      imageUrl: 'https://oss.dayaedu.com/ktyq/1739865626350.png'
    }
  }
})